AM261x MCU+ SDK: VTM IP Functions

| AM261x MCU+ SDK 26.00.00 |

Functions
VTM IP Functions
APIs for VTM » VTM Low-Level API

## Introduction

## Functions
SDL_VTM_adc_code | SDL_VTM_getAdcCode (SDL_VTM_InstTs instance)
| read Temperature sensor ADC code More...
int32_t | SDL_VTM_tsGetCtrl (SDL_VTM_InstTs instance, uint32_t *pTsCtrlCfg)
| Read VTM Temperature Sensor Control. More...
int32_t | SDL_VTM_tsConvADCToTemp (SDL_VTM_adc_code adcCode, int32_t *pMilliDegreeTempVal)
| VTM Temperature ADC code to Temperature conversion. More...
int32_t | SDL_VTM_tsConvTempToAdc (int32_t milliDegreeTempVal, SDL_VTM_adc_code *pAdcCode)
| VTM Temperature to ADC code conversion. More...

## Function Documentation

## ◆ SDL_VTM_getAdcCode()

SDL_VTM_adc_code SDL_VTM_getAdcCode | ( | SDL_VTM_InstTs | instance | ) |

read Temperature sensor ADC code

Parameters

  instance | [IN] sensor for which ADC code is needed

Returns
  The SDL SDL_VTM_adc_code

## ◆ SDL_VTM_tsGetCtrl()

int32_t SDL_VTM_tsGetCtrl | ( | SDL_VTM_InstTs | instance,
|  | uint32_t * | pTsCtrlCfg
| ) |  |

Read VTM Temperature Sensor Control.

Parameters

  instance | [IN] VTM Temperature sensor instance
  pTsCtrlCfg | [IN] Pointer to temperature sensor control configuration

Returns
  The SDL error code for the API. Success : SDL_PASS Fail : SDL_EFAIL Invalid Args : SDL_EBADARGS

## ◆ SDL_VTM_tsConvADCToTemp()

int32_t SDL_VTM_tsConvADCToTemp | ( | SDL_VTM_adc_code | adcCode,
|  | int32_t * | pMilliDegreeTempVal
| ) |  |

VTM Temperature ADC code to Temperature conversion.

Parameters

  adcCode | [IN] 7 Bit ADC code
  pMilliDegreeTempVal | [OUT] Pointer to Temperature in milli degree celcius

Returns
  The SDL error code for the API. Success : SDL_PASS Invalid Args : SDL_EBADARGS

## ◆ SDL_VTM_tsConvTempToAdc()

int32_t SDL_VTM_tsConvTempToAdc | ( | int32_t | milliDegreeTempVal,
|  | SDL_VTM_adc_code * | pAdcCode
| ) |  |

VTM Temperature to ADC code conversion.

Parameters

  milliDegreeTempVal | [IN] Temperature in milli degree celcius
  pAdcCode | [OUT] Pointer to 7 Bit ADC code

Returns
  The SDL error code for the API. Success : SDL_PASS Invalid Args : SDL_EBADARGS